var movMax;
var nowPlayNum = 0;

var nowPlaySep;
var jumpSep;
var canplayCount

//□stはカウンタ開始
//□tmはトータルミリ秒
var st = tm = 0;

//■トップページを1/100秒で監視する
var videoListener

//■マウス操作を監視
$(window).mousemove(function(e){
	st = tm;
});


$(document).ready(function(){
	canplayCount = 0;
	
	//ムービースタート
	searchMov();
	videoSet(nowPlayNum);
	
	//監視
	videoListener = setInterval(function(){
		tm+=10;
		
		if((tm-st)>=1800){
			if(user!="iPhone" && user!="iPod" && user!="iPad" && user!="Android"){
				$('#menu').fadeOut('slow');
			}
		}else{
			$('#menu').fadeIn(0);
		}
		
		//現在表示
		if(chapterOrder=="all"){
			for(i=0; i<$('#menu a').length; i++){
				if(i == nowPlayNum-1){
					$($('#menu a')[i]).attr('id','now');
				}else{
					$($('#menu a')[i]).attr('id','');
				}
			}
		}else{
			for(var i=0; i<movDB[chapterOrder]["mList"].length;i++){
				if(document.getElementById('player').currentTime >= Number(movDB[chapterOrder]["mList"][i]) ){
					nowPlaySep = i+1;
				}
			}
			for(i=0; i<$('#menu a').length; i++){
				if(i == nowPlaySep-1){
					$($('#menu a')[i]).attr('id','now');
				}else{
					$($('#menu a')[i]).attr('id','');
				}
			}
		}
	},10);
});

function menuMake(){
	//メニュー
	movMax = movieList.length;
	var str = "";
	
	if(chapterOrder=="all"){
		for(var i=0;i<titleList.length;i++){
			if(i==0){
				str += "<h1><a href='javascript:videoSet("+i+");'>"+titleList[i]+"</a></h1>"
			}else{
				if(titleList[i][0]=="第"){
					var tempStr
					if(titleList[i][1]=="3"||titleList[i][1]=="5"){
						tempStr = titleList[i].substring(0,titleList[i].indexOf("章")+3);
					}else{
						tempStr = titleList[i].substring(0,titleList[i].indexOf("章")+1);
					}
					str += "<h2><a href='javascript:videoSet("+i+");'>"+tempStr+"</a></h2>"
				}else if(titleList[i].indexOf("資機材")>=0){
					str += "<h2><a href='javascript:videoSet("+i+");'>"+titleList[i]+"</a></h2>"
				}
			}
		}
		$('#menu').html(str);
		$('#menu h2').css({'font-size':'15px','line-height':'1em','margin-top':'-1px'});
		
	}else if(chapterOrder[0]=="c"){
		
		for(var i=0;i<titleList.length;i++){
			if(i==0){
				str += "<h1><a href='javascript:chapterJump("+i+");'>"+titleList[i]+"</a></h1>"
			}else{
				str += "<h2><a href='javascript:chapterJump("+i+");'>"+titleList[i]+"</a></h2>"
			}
		}
		$('#menu').html(str);
		
		if(titleList.length>2){
			if(titleList[1].indexOf('<br>')>=0){
				$('#menu h2').css({'margin-top':'-5px', 'background-position':'left 7px'});
			}
		}
	}
}

//ムービースタート
function videoSet(act){
	nowPlayNum = act+1;
	if(!$('#player').attr('src') || user=="iPhone" || user=="iPod" || user=="iPad"){
		//全部ここで作る！
		$('body').html('<video autoplay="true" controls width="960" height="540" style="width: 100%; height: 100%;" src="'
		+ 'mov/' + movieList[nowPlayNum-1]
		+ '" type="video/mp4" id="player" poster="images/e-colleg.jpg" preload="auto"></video>'
		+ '<div id="menu"></div>'
		+ '<div id="chk" style="position:fixed; text-align:left; top:30px; left:0px; font-size:14px; color:#f00;"></div>'
		);
	}else{
		$('#player').attr('src', 'mov/' + movieList[nowPlayNum-1] );
	}
	
	//メニュー作成
	menuMake();
	//$('#menu').fadeIn(0);
	
	//表示
	st = tm;
	var player = new MediaElementPlayer("#player", {
		success: function(media, node, player){
			//native or flash
			//$('#chk').append(media.pluginType);
			
			//ムービー準備完了監視
			media.addEventListener(
				"loadedmetadata",
				$.proxy($.fn.trigger, $(node), "ready"),
				false
			);
			if((/VIDEO/i).test(media.nodeName)){
				media.load();
			} else {
				media.play();
				media.pause();
			}
			
			//ムービー終了監視
			var events = ['loadstart', 'canplay', 'play', 'pause', 'ended'];
			for (var i=0; i<events.length; i++) {
				var eventName = events[i];
				media.addEventListener(events[i], function(e) {
					if(e.type=="canplay"){
						if(canplayCount==0){
							if(jumpSep){
								document.getElementById('player').currentTime = movDB[chapterOrder]["mList"][jumpSep];
							}
						}
						document.getElementById('player').play();
						canplayCount++;
						/*if(user=="iPhone" || user=="iPod" || user=="iPad"){
							document.getElementById('player').currentTime = 0;
							document.getElementById('player').play();
						}*/
					}
					/*if(e.type=="pause"){
						//$('#chk').append("pause<br>");
					}*/
					if(e.type=="ended"){
						if(chapterOrder=="all" && nowPlayNum < movMax){
							//ムービースタート
							videoSet(nowPlayNum);
						}
					}
				});
			}
		}
	});
	
	player.$media.on("ready", function(){
		//$('#chk').append("movie ready !<br>");
	});
}
function test(){
	document.getElementById('player').currentTime = 0;
}

//ムービースタート
function chapterJump(act){
	nowPlayNum = act+1;
	document.getElementById('player').currentTime = movDB[chapterOrder]["mList"][act];
}